com.atid.lib.module.rfid.uhf.params

## Class TagExtParam

- java.lang.Object
- - com.atid.lib.module.rfid.uhf.params.TagExtParam

-     public class TagExtParam
      extends java.lang.Object

  The TagExtParam class is a class for providing RSSI and Phase of the recognized tag as additional information if the RSSI Report property is set to true when an event occurs such as Inventory, Read Memory, Write Memory, Lock, and Kill.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagExtParam(int rssi, int phase)` Creates an instance of the TagExtParam class.
    `TagExtParam(int rssi, int phase, int frequency)` Creates an instance of the TagExtParam class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getFrequency()` Returns the Frequency value of the tag. ( Unit : MHz )
    `double` | `getFrequencyD()` Returns the Frequency value of the tag. ( Unit : MHz )
    `int` | `getFrequencyRaw()` Returns the Frequency value of the tag. ( Unit : MHz )
    `float` | `getPhase()` Returns the Phase value of the tag.
    `double` | `getPhaseD()` Returns the Phase value of the tag.
    `int` | `getPhaseRaw()` Returns the Phase value of the tag.
    `float` | `getRssi()` Returns the RSSI value of the tag.
    `double` | `getRssiD()` Returns the RSSI value of the tag.
    `int` | `getRssiRaw()` Returns the RSSI value of the tag.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TagExtParam

          public TagExtParam(int rssi,
                             int phase)

      Creates an instance of the TagExtParam class.
      Parameters:
        `rssi` - An integer representing the rssi value.
        `phase` - An integer representing the phase value.

    - #### TagExtParam

          public TagExtParam(int rssi,
                             int phase,
                             int frequency)

      Creates an instance of the TagExtParam class.
      Parameters:
        `rssi` - An integer representing the rssi value.
        `phase` - An integer representing the phase value.
        `frequency` - An integer representing the frequency value.

  - ### Method Detail

    - #### getRssi

          public float getRssi()

      Returns the RSSI value of the tag.
      Returns:
        A float representing the RSSI value.

    - #### getRssiD

          public double getRssiD()

      Returns the RSSI value of the tag.
      Returns:
        A double representing the RSSI value.

    - #### getRssiRaw

          public int getRssiRaw()

      Returns the RSSI value of the tag.
      Returns:
        A int representing the RSSI value.

    - #### getPhase

          public float getPhase()

      Returns the Phase value of the tag.
      Returns:
        A float representing the Phase value.

    - #### getPhaseD

          public double getPhaseD()

      Returns the Phase value of the tag.
      Returns:
        A double representing the Phase value.

    - #### getPhaseRaw

          public int getPhaseRaw()

      Returns the Phase value of the tag.
      Returns:
        A int representing the Phase value.

    - #### getFrequency

          public float getFrequency()

      Returns the Frequency value of the tag. ( Unit : MHz )
      Returns:
        A float representing the Frequency value.

    - #### getFrequencyD

          public double getFrequencyD()

      Returns the Frequency value of the tag. ( Unit : MHz )
      Returns:
        A double representing the Frequency value.

    - #### getFrequencyRaw

          public int getFrequencyRaw()

      Returns the Frequency value of the tag. ( Unit : MHz )
      Returns:
        A int representing the Frequency value.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`